My Project: dgSymmetricBiconjugateGradientSolve Class Reference

My Project

Public Member Functions | Protected Member Functions | List of all members
dgSymmetricBiconjugateGradientSolve Class Referenceabstract

`#include <dgSPDMatrix.h>`

Inheritance diagram for dgSymmetricBiconjugateGradientSolve:

## Public Member Functions

| dgSymmetricBiconjugateGradientSolve ()
| ~dgSymmetricBiconjugateGradientSolve ()
dgFloat64 | Solve (dgInt32 size, dgFloat64 tolerance, dgFloat64 *const x, const dgFloat64 *const b) const

## Protected Member Functions

virtual void | MatrixTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const =0
virtual bool | InversePrecoditionerTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const =0

## Constructor & Destructor Documentation

## § dgSymmetricBiconjugateGradientSolve()

dgSymmetricBiconjugateGradientSolve::dgSymmetricBiconjugateGradientSolve | ( |  | ) |

## § ~dgSymmetricBiconjugateGradientSolve()

dgSymmetricBiconjugateGradientSolve::~dgSymmetricBiconjugateGradientSolve | ( |  | ) |

## Member Function Documentation

## § InversePrecoditionerTimeVector()

virtual bool dgSymmetricBiconjugateGradientSolve::InversePrecoditionerTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

protectedpure virtual

Implemented in dgAngleBasedFlatteningMapping, and dgTriangleAnglesToUV.

## § MatrixTimeVector()

virtual void dgSymmetricBiconjugateGradientSolve::MatrixTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

protectedpure virtual

Implemented in dgAngleBasedFlatteningMapping, and dgTriangleAnglesToUV.

## § Solve()

dgFloat64 dgSymmetricBiconjugateGradientSolve::Solve | ( | dgInt32 | size,
|  | dgFloat64 | tolerance,
|  | dgFloat64 *const | x,
|  | const dgFloat64 *const | b
| ) |  | const

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgSPDMatrix.h
- dynamics.mod/NewtonDynamics/source/core/dgSPDMatrix.cpp